Bug 192471 - KDE apps crash on exit with scim-qtimm and new libstdc++so7
KDE apps crash on exit with scim-qtimm and new libstdc++so7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim-qtimm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: Reopened
: 189209 192788 192893 195430 (view as bug list)
Depends On:
Blocks: 171491 SCIM
  Show dependency treegraph
 
Reported: 2006-05-19 16:56 EDT by Roland Wolters
Modified: 2007-11-30 17:11 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 06:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb session of the crash with bt output (1.02 KB, text/plain)
2006-05-19 16:56 EDT, Roland Wolters
no flags Details
ldd of kolourpaint (14.27 KB, text/plain)
2006-05-23 13:23 EDT, Roland Wolters
no flags Details
LD_DEBUG=bindings map (25.72 KB, application/x-bzip2)
2006-05-25 16:32 EDT, Benjamin Kosnik
no flags Details

  None (edit)
Description Roland Wolters 2006-05-19 16:56:06 EDT
Description of problem:
Since I've upgraded libstdc++so7 to version libstdc++so7.i386 
4.2.0-0.3.20060428.fc5.1 every KDE application crashes on exit.

The gdb output of a example application is attached.
Comment 1 Roland Wolters 2006-05-19 16:56:06 EDT
Created attachment 129626 [details]
gdb session of the crash with bt output
Comment 2 Julian Sikorski 2006-05-22 14:50:17 EDT
Same here. I also suspected glibc upgrade, but isn't the crash caused by 4.1.0
glibc? I installed both of them at the same time. Btw, could you please modify
the description so that it contains libc/libstdc++? It would be clearer imo.
Comment 3 Juliano F. Ravasi 2006-05-22 20:08:33 EDT
Confirmed here too. I use KDM as my login manager, and it became impossible to
login again after libstdc++ upgrade.

I had to rollback scim and libstdc++ in order to use the system again.
Comment 4 Keunwoo Lee 2006-05-22 22:40:23 EDT
Confirmed here.  Nearly all KDE apps crash on quit with SIGSEGV. 
Comment 5 Julian Sikorski 2006-05-23 04:06:38 EDT
Well, it may not be caused by libstdc++ update, as the only packages that seem
to use it (according to dependencies) are scim ones, and under my locale (pl_PL)
it is probably not active. So I would blame glibc-2.4-8.
The bigger problem with this bug is with amaroK, which fails to exit and as a
result makes the system very unresponsive. I have to switch to vt1 and kill it
to be able to work.
Comment 6 Julian Sikorski 2006-05-23 04:08:26 EDT
Oh, I did not read comment #3. Sorry for mess. So it seems that scim is active
regardless of locale used.
Comment 7 Roland Wolters 2006-05-23 10:31:59 EDT
Bug description changed to be more specific (libstdc++so7 and scim plugin).
Comment 8 Benjamin Kosnik 2006-05-23 12:31:10 EDT
How is this linked? Ie, ldd on:

/usr/bin/kolourpaint
Comment 9 Roland Wolters 2006-05-23 13:23:21 EDT
Created attachment 129876 [details]
ldd of kolourpaint

Here is the ldd -v output of kolourpaint.
Comment 10 Benjamin Kosnik 2006-05-23 20:02:43 EDT
Thanks. I can reproduce this by running Konqueror and exiting: I get the crash.

Comment 11 Benjamin Kosnik 2006-05-25 16:27:06 EDT
1) get kdeutils-3.5.2-0.1.fc5.src.rpm, install
2) edit kdeutils.spec as:

export CXXFLAGS="$RPM_OPT_FLAGS -g3 -O0"
export CFLAGS="$RPM_OPT_FLAGS -g3 -O0"

3) make, install, install debuginfo

%ldd /usr/bin/khexedit
        linux-gate.so.1 =>  (0x008b4000)
        libkdeprint.so.4 => /usr/lib/libkdeprint.so.4 (0x00488000)
        libkio.so.4 => /usr/lib/libkio.so.4 (0x06612000)
        libkdeui.so.4 => /usr/lib/libkdeui.so.4 (0x05a66000)
        libkdecore.so.4 => /usr/lib/libkdecore.so.4 (0x001f0000)
        libqt-mt.so.3 => /usr/lib/qt-3.3/lib/libqt-mt.so.3 (0x05da1000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00101000)
        libc.so.6 => /lib/libc.so.6 (0x008d2000)
        libDCOP.so.4 => /usr/lib/libDCOP.so.4 (0x00cf9000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00c24000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00b38000)
        libm.so.6 => /lib/libm.so.6 (0x00a07000)
        libkdesu.so.4 => /usr/lib/libkdesu.so.4 (0x0046f000)
        libkwalletclient.so.1 => /usr/lib/libkwalletclient.so.1 (0x00d7b000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00a34000)
        libfam.so.0 => /usr/lib/libfam.so.0 (0x03b68000)
        libacl.so.1 => /lib/libacl.so.1 (0x00d66000)
        libattr.so.1 => /lib/libattr.so.1 (0x008ac000)
        libgcc_s.so.1 => /mnt/share/bld/gcc/gcc/libgcc_s.so.1 (0x00821000)
        libkdefx.so.4 => /usr/lib/libkdefx.so.4 (0x00cc9000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00b55000)
        libdl.so.2 => /lib/libdl.so.2 (0x00a2e000)
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 (0x006a0000)
        libidn.so.11 => /usr/lib/libidn.so.11 (0x00d34000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00cbe000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x00c89000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x02e21000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00db2000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00bfa000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00c7e000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00cac000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00cb2000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00c79000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0x02e8e000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00b8a000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00c3a000)
        /lib/ld-linux.so.2 (0x008b5000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00b33000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00b4d000)
        liblcms.so.1 => /usr/lib/liblcms.so.1 (0x02dea000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00ca5000)
        libexpat.so.0 => /lib/libexpat.so.0 (0x00b67000)

Program received signal SIGSEGV, Segmentation fault.
0x008fc98e in *__GI_exit (status=0) at exit.c:75

...great. Now re-run in gdb.....


%ps | grep hexedit
bkoz      2953  2950  1 15:13 pts/3    00:00:12 /usr/bin/gdb -quiet khexedit -cd
/home/bkoz/ -fullname
bkoz      3156  2953  0 15:26 pts/3    00:00:00 /usr/bin/khexedit


%cat /proc/3156/maps
00101000-001e3000 r-xp 00000000 fd:00 4644417    /usr/lib/libstdc++.so.6.0.8
001e3000-001e7000 r-xp 000e2000 fd:00 4644417    /usr/lib/libstdc++.so.6.0.8
001e7000-001e8000 rwxp 000e6000 fd:00 4644417    /usr/lib/libstdc++.so.6.0.8
001e8000-001ee000 rwxp 001e8000 00:00 0
001f0000-0045a000 r-xp 00000000 fd:00 4620541    /usr/lib/libkdecore.so.4.2.0
0045a000-0046b000 rwxp 00269000 fd:00 4620541    /usr/lib/libkdecore.so.4.2.0
0046b000-0046d000 rwxp 0046b000 00:00 0
0046f000-00485000 r-xp 00000000 fd:00 4631812    /usr/lib/libkdesu.so.4.2.0
00485000-00486000 rwxp 00015000 fd:00 4631812    /usr/lib/libkdesu.so.4.2.0
00488000-00562000 r-xp 00000000 fd:00 4631868    /usr/lib/libkdeprint.so.4.2.0
00562000-0056b000 rwxp 000d9000 fd:00 4631868    /usr/lib/libkdeprint.so.4.2.0
00581000-0058a000 r-xp 00000000 fd:00 5008645   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
0058a000-0058b000 rwxp 00008000 fd:00 5008645   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
0058b000-005ab000 r-xp 00000000 fd:00 5015340   
/usr/lib/qt-3.3/plugins/inputmethods/libqscim.so
005ab000-005ac000 rwxp 00020000 fd:00 5015340   
/usr/lib/qt-3.3/plugins/inputmethods/libqscim.so
005ac000-005ae000 r-xp 00000000 fd:00 4629271   
/usr/lib/libscim-x11utils-1.0.so.8.1.0
005ae000-005af000 rwxp 00001000 fd:00 4629271   
/usr/lib/libscim-x11utils-1.0.so.8.1.0
005af000-0068b000 r-xp 00000000 fd:00 4638794    /usr/lib/libscim-1.0.so.8.1.0
0068b000-00699000 rwxp 000dc000 fd:00 4638794    /usr/lib/libscim-1.0.so.8.1.0
006a0000-006b6000 r-xp 00000000 fd:00 4627992    /usr/lib/libart_lgpl_2.so.2.3.17
006b6000-006b7000 rwxp 00016000 fd:00 4627992    /usr/lib/libart_lgpl_2.so.2.3.17
006b7000-006db000 r-xp 00000000 fd:00 5008647   
/usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so
006db000-006dc000 rwxp 00024000 fd:00 5008647   
/usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so
006df000-006e9000 r-xp 00000000 fd:00 5016093   
/mnt/share/bld/gcc/gcc/libgcc_s.so.1
006e9000-006ea000 rwxp 00009000 fd:00 5016093   
/mnt/share/bld/gcc/gcc/libgcc_s.so.1
006ea000-006f5000 r-xp 00000000 fd:00 5008648   
/usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
006f5000-006f6000 rwxp 0000a000 fd:00 5008648   
/usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
006f6000-006ff000 r-xp 00000000 fd:00 5434216    /lib/libnss_files-2.4.so
006ff000-00700000 r-xp 00008000 fd:00 5434216    /lib/libnss_files-2.4.so
00700000-00701000 rwxp 00009000 fd:00 5434216    /lib/libnss_files-2.4.so
00735000-00739000 r-xp 00000000 fd:00 5008646   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
00739000-0073a000 rwxp 00003000 fd:00 5008646   
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
0073a000-0082f000 r-xp 00000000 fd:00 4641755   
/usr/lib/libstdc++-20060428.so.7.0.0
0082f000-00832000 r-xp 000f4000 fd:00 4641755   
/usr/lib/libstdc++-20060428.so.7.0.0
00832000-00834000 rwxp 000f7000 fd:00 4641755   
/usr/lib/libstdc++-20060428.so.7.0.0
00834000-0083a000 rwxp 00834000 00:00 0
008a6000-008a7000 r-xp 00000000 fd:00 4682056    /usr/lib/gconv/ISO8859-1.so
008a7000-008a9000 rwxp 00000000 fd:00 4682056    /usr/lib/gconv/ISO8859-1.so
008ac000-008b0000 r-xp 00000000 fd:00 5435873    /lib/libattr.so.1.1.0
008b0000-008b1000 rwxp 00003000 fd:00 5435873    /lib/libattr.so.1.1.0
008b4000-008b5000 r-xp 008b4000 00:00 0          [vdso]
008b5000-008ce000 r-xp 00000000 fd:00 5434215    /lib/ld-2.4.so
008ce000-008cf000 r-xp 00018000 fd:00 5434215    /lib/ld-2.4.so
008cf000-008d0000 rwxp 00019000 fd:00 5434215    /lib/ld-2.4.so
008d2000-009ff000 r-xp 00000000 fd:00 5434217    /lib/libc-2.4.so
009ff000-00a01000 r-xp 0012d000 fd:00 5434217    /lib/libc-2.4.so
00a01000-00a02000 rwxp 0012f000 fd:00 5434217    /lib/libc-2.4.so
00a02000-00a05000 rwxp 00a02000 00:00 0
00a07000-00a2a000 r-xp 00000000 fd:00 5434234    /lib/libm-2.4.so
00a2a000-00a2b000 r-xp 00022000 fd:00 5434234    /lib/libm-2.4.so
00a2b000-00a2c000 rwxp 00023000 fd:00 5434234    /lib/libm-2.4.so
00a2e000-00a30000 r-xp 00000000 fd:00 5434243    /lib/libdl-2.4.so
00a30000-00a31000 r-xp 00001000 fd:00 5434243    /lib/libdl-2.4.so
00a31000-00a32000 rwxp 00002000 fd:00 5434243    /lib/libdl-2.4.so
00a34000-00b2d000 r-xp 00000000 fd:00 4643988    /usr/lib/libX11.so.6.2.0
00b2d000-00b31000 rwxp 000f9000 fd:00 4643988    /usr/lib/libX11.so.6.2.0
00b33000-00b35000 r-xp 00000000 fd:00 4643974    /usr/lib/libXau.so.6.0.0
00b35000-00b36000 rwxp 00001000 fd:00 4643974    /usr/lib/libXau.so.6.0.0
00b38000-00b4a000 r-xp 00000000 fd:00 4643990    /usr/lib/libz.so.1.2.3
00b4a000-00b4b000 rwxp 00011000 fd:00 4643990    /usr/lib/libz.so.1.2.3
00b4d000-00b52000 r-xp 00000000 fd:00 4643987    /usr/lib/libXdmcp.so.6.0.0
00b52000-00b53000 rwxp 00004000 fd:00 4643987    /usr/lib/libXdmcp.so.6.0.0
00b55000-00b64000 r-xp 00000000 fd:00 4644396    /usr/lib/libXext.so.6.4.0
00b64000-00b65000 rwxp 0000e000 fd:00 4644396    /usr/lib/libXext.so.6.4.0
00b67000-00b86000 r-xp 00000000 fd:00 5434252    /lib/libexpat.so.0.5.0
00b86000-00b88000 rwxp 0001e000 fd:00 5434252    /lib/libexpat.so.0.5.0
00b8a000-00bf5000 r-xp 00000000 fd:00 4643992    /usr/lib/libfreetype.so.6.3.8
00bf5000-00bf8000 rwxp 0006a000 fd:00 4643992    /usr/lib/libfreetype.so.6.3.8
00bfa000-00c21000 r-xp 00000000 fd:00 4643991    /usr/lib/libpng12.so.0.1.2.8
00c21000-00c22000 rwxp 00026000 fd:00 4643991    /usr/lib/libpng12.so.0.1.2.8
00c24000-00c34000 r-xp 00000000 fd:00 5434349    /lib/libpthread-2.4.so
00c34000-00c35000 r-xp 0000f000 fd:00 5434349    /lib/libpthread-2.4.so
00c35000-00c36000 rwxp 00010000 fd:00 5434349    /lib/libpthread-2.4.so
00c36000-00c38000 rwxp 00c36000 00:00 0
00c3a000-00c72000 r-xp 00000000 fd:00 4644069   
/usr/lib/libfontconfig.so.1.0.400c72000-00c76000 rwxp 00038000 fd:00 4644069   
/usr/lib/libfontconfig.so.1.0.400c76000-00c77000 rwxp 00c76000 00:00 0
00c79000-00c7b000 r-xp 00000000 fd:00 4644398    /usr/lib/libXinerama.so.1.0.0
00c7b000-00c7c000 rwxp 00001000 fd:00 4644398    /usr/lib/libXinerama.so.1.0.0
00c7e000-00c86000 r-xp 00000000 fd:00 4643989    /usr/lib/libXrender.so.1.3.0
00c86000-00c87000 rwxp 00007000 fd:00 4643989    /usr/lib/libXrender.so.1.3.0
00c89000-00ca0000 r-xp 00000000 fd:00 4621230    /usr/lib/libICE.so.6.3.0
00ca0000-00ca1000 rwxp 00016000 fd:00 4621230    /usr/lib/libICE.so.6.3.0
00ca1000-00ca3000 rwxp 00ca1000 00:00 0
00ca5000-00ca9000 r-xp 00000000 fd:00 4644401    /usr/lib/libXfixes.so.3.0.0
00ca9000-00caa000 rwxp 00003000 fd:00 4644401    /usr/lib/libXfixes.so.3.0.0
00cac000-00caf000 r-xp 00000000 fd:00 4644400    /usr/lib/libXrandr.so.2.0.0
00caf000-00cb0000 rwxp 00002000 fd:00 4644400    /usr/lib/libXrandr.so.2.0.0
00cb2000-00cbb000 r-xp 00000000 fd:00 4644402    /usr/lib/libXcursor.so.1.0.2
00cbb000-00cbc000 rwxp 00008000 fd:00 4644402    /usr/lib/libXcursor.so.1.0.2
00cbe000-00cc6000 r-xp 00000000 fd:00 4644712    /usr/lib/libSM.so.6.0.0
00cc6000-00cc7000 rwxp 00008000 fd:00 4644712    /usr/lib/libSM.so.6.0.0
00cc9000-00cf5000 r-xp 00000000 fd:00 4638272    /usr/lib/libkdefx.so.4.2.0
00cf5000-00cf6000 rwxp 0002b000 fd:00 4638272    /usr/lib/libkdefx.so.4.2.0
00cf6000-00cf7000 rwxp 00cf6000 00:00 0
00cf9000-00d2f000 r-xp 00000000 fd:00 4636538    /usr/lib/libDCOP.so.4.2.0
00d2f000-00d30000 rwxp 00036000 fd:00 4636538    /usr/lib/libDCOP.so.4.2.0
00d30000-00d32000 rwxp 00d30000 00:00 0
00d34000-00d63000 r-xp 00000000 fd:00 4644722    /usr/lib/libidn.so.11.5.16
00d63000-00d64000 rwxp 0002f000 fd:00 4644722    /usr/lib/libidn.so.11.5.16
00d66000-00d6c000 r-xp 00000000 fd:00 5435874    /lib/libacl.so.1.1.0
00d6c000-00d6d000 rwxp 00005000 fd:00 5435874    /lib/libacl.so.1.1.0
00d7b000-00d8c000 r-xp 00000000 fd:00 4631892    /usr/lib/libkwalletclient.so.1.0.1
00d8c000-00d8d000 rwxp 00011000 fd:00 4631892    /usr/lib/libkwalletclient.so.1.0.1
00db2000-00dd3000 r-xp 00000000 fd:00 4620654    /usr/lib/libjpeg.so.62.0.0
00dd3000-00dd4000 rwxp 00020000 fd:00 4620654    /usr/lib/libjpeg.so.62.0.0
02dea000-02e1b000 r-xp 00000000 fd:00 4644717    /usr/lib/liblcms.so.1.0.15
02e1b000-02e1c000 rwxp 00030000 fd:00 4644717    /usr/lib/liblcms.so.1.0.15
02e1c000-02e1f000 rwxp 02e1c000 00:00 0
02e21000-02e89000 r-xp 00000000 fd:00 4619450    /usr/lib/libmng.so.1.0.0
02e89000-02e8c000 rwxp 00067000 fd:00 4619450    /usr/lib/libmng.so.1.0.0
02e8e000-02ea1000 r-xp 00000000 fd:00 4619882    /usr/lib/libXft.so.2.1.2
02ea1000-02ea2000 rwxp 00012000 fd:00 4619882    /usr/lib/libXft.so.2.1.2
03b68000-03b6f000 r-xp 00000000 fd:00 4631995    /usr/lib/libfam.so.0.0.0
03b6f000-03b70000 rwxp 00006000 fd:00 4631995    /usr/lib/libfam.so.0.0.0
05a66000-05d74000 r-xp 00000000 fd:00 4631840    /usr/lib/libkdeui.so.4.2.0
05d74000-05d9f000 rwxp 0030e000 fd:00 4631840    /usr/lib/libkdeui.so.4.2.0
05da1000-065cb000 r-xp 00000000 fd:00 5015855   
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.5
065cb000-0660c000 rwxp 00829000 fd:00 5015855   
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.5
0660c000-06610000 rwxp 0660c000 00:00 0
06612000-0698a000 r-xp 00000000 fd:00 4631888    /usr/lib/libkio.so.4.2.0
0698a000-069a9000 rwxp 00378000 fd:00 4631888    /usr/lib/libkio.so.4.2.0
069a9000-069aa000 rwxp 069a9000 00:00 0
08047000-080ea000 r-xp 00000000 fd:00 4647077    /usr/bin/khexedit
080ea000-080ec000 rw-p 000a3000 fd:00 4647077    /usr/bin/khexedit
080ec000-080ed000 rw-p 080ec000 00:00 0
080ed000-0818e000 rw-p 000a4000 fd:00 4647077    /usr/bin/khexedit
0a0e8000-0a26c000 rw-p 0a0e8000 00:00 0          [heap]
b7ce2000-b7ce9000 r--s 00000000 fd:00 4682115    /usr/lib/gconv/gconv-modules.cache
b7cfc000-b7d0f000 r--p 00000000 fd:00 6156890   
/usr/share/X11/fonts/Type1/l047013t.pfa
b7d0f000-b7d21000 r--p 00000000 fd:00 6156898   
/usr/share/X11/fonts/Type1/l048013t.pfa
b7d21000-b7d26000 r--s 00001000 fd:00 3830470   
/home/bkoz/.rh-fontconfig/.fonts.cache-2
b7d26000-b7d2d000 r--s 00001000 fd:00 3045732   
/var/cache/fontconfig/be85c56e05c5eddf23821abc58a49bff.cache-2
b7d2d000-b7d2f000 r--s 00001000 fd:00 3044508   
/var/cache/fontconfig/d0852e6107e29cf2370e29e932b671e8.cache-2
b7d2f000-b7d38000 r--s 00001000 fd:00 3045361   
/var/cache/fontconfig/c974e4c60d201a21112df444ab73ef55.cache-2
b7d38000-b7d3f000 r--s 00001000 fd:00 3045413   
/var/cache/fontconfig/d5161dcee5eac336d61e9844ebbf0297.cache-2
b7d3f000-b7d40000 r--s 00001000 fd:00 3045412   
/var/cache/fontconfig/f020b8ea95ccc22321ce43a4499889d8.cache-2
b7d40000-b7d4b000 r--s 00001000 fd:00 3044933   
/var/cache/fontconfig/ffbeb93d66ada2631f4f047962e1ab5b.cache-2
b7d4b000-b7d4d000 r--s 00001000 fd:00 3045875   
/var/cache/fontconfig/cf38a9fb1312d32d0623f02fc63e292c.cache-2
b7d4d000-b7d50000 r--s 00001000 fd:00 3044505   
/var/cache/fontconfig/0ff6f82dbf790ad053eeb7e60fb69f01.cache-2
b7d50000-b7d51000 r--p 016ac000 fd:00 4643986    /usr/lib/locale/locale-archive
b7d51000-b7d57000 r--p 0164c000 fd:00 4643986    /usr/lib/locale/locale-archive
b7d57000-b7d84000 r--p 0161b000 fd:00 4643986    /usr/lib/locale/locale-archive
b7d84000-b7f84000 r--p 00000000 fd:00 4643986    /usr/lib/locale/locale-archive
b7f84000-b7f8e000 rw-p b7f84000 00:00 0
b7fa6000-b7fa7000 rw-p b7fa6000 00:00 0
bf890000-bf8a6000 rw-p bf890000 00:00 0          [stack]



breaking in exit:

(gdb) p *__exit_funcs
$1 = {next = 0x93db2b0, idx = 23, fns = {{flavor = 4, func = {
        at = 0xcaf8ea9b, on = {fn = 0xcaf8ea9b, arg = 0x0}, cxa = {
          fn = 0xcaf8ea9b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf8b9db, on = {fn = 0xcaf8b9db, arg = 0x0}, cxa = {
          fn = 0xcaf8b9db, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf89fbb, on = {fn = 0xcaf89fbb, arg = 0x0}, cxa = {
          fn = 0xcaf89fbb, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf88c0b, on = {fn = 0xcaf88c0b, arg = 0x0}, cxa = {
          fn = 0xcaf88c0b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf8923b, on = {fn = 0xcaf8923b, arg = 0x0}, cxa = {
          fn = 0xcaf8923b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf8854b, on = {fn = 0xcaf8854b, arg = 0x0}, cxa = {
          fn = 0xcaf8854b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcaf883bb, on = {fn = 0xcaf883bb, arg = 0x0}, cxa = {
          fn = 0xcaf883bb, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcae7692b, on = {fn = 0xcae7692b, arg = 0x0}, cxa = {
          fn = 0xcae7692b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcae7788b, on = {fn = 0xcae7788b, arg = 0x0}, cxa = {
          fn = 0xcae7788b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcae7691b, on = {fn = 0xcae7691b, arg = 0x0}, cxa = {
          fn = 0xcae7691b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcae75fab, on = {fn = 0xcae75fab, arg = 0x0}, cxa = {
          fn = 0xcae75fab, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcae7bc3b, on = {fn = 0xcae7bc3b, arg = 0x0}, cxa = {
          fn = 0xcae7bc3b, arg = 0x0, dso_handle = 0x7952e0}}}, {flavor = 4, 
      func = {at = 0xcad34b2b, on = {fn = 0xcad34b2b, arg = 0x0}, cxa = {
          fn = 0xcad34b2b, arg = 0x0, dso_handle = 0x5be658}}}, {flavor = 4, 
      func = {at = 0xcad3f6eb, on = {fn = 0xcad3f6eb, arg = 0x0}, cxa = {
          fn = 0xcad3f6eb, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad3f6db, on = {fn = 0xcad3f6db, arg = 0x0}, cxa = {
          fn = 0xcad3f6db, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad3f10b, on = {fn = 0xcad3f10b, arg = 0x0}, cxa = {
          fn = 0xcad3f10b, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad2230b, on = {fn = 0xcad2230b, arg = 0x0}, cxa = {
          fn = 0xcad2230b, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad2674b, on = {fn = 0xcad2674b, arg = 0x0}, cxa = {
          fn = 0xcad2674b, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad21a9b, on = {fn = 0xcad21a9b, arg = 0x0}, cxa = {
          fn = 0xcad21a9b, arg = 0x0, dso_handle = 0x5bbdb8}}}, {flavor = 4, 
      func = {at = 0xcad4c6c7, on = {fn = 0xcad4c6c7, arg = 0x0}, cxa = {
          fn = 0xcad4c6c7, arg = 0x0, dso_handle = 0x5e34c8}}}, {flavor = 4, 
      func = {at = 0xcad4bd2b, on = {fn = 0xcad4bd2b, arg = 0x0}, cxa = {
          fn = 0xcad4bd2b, arg = 0x0, dso_handle = 0x5e34c8}}}, {flavor = 4, 
      func = {at = 0xcad65acf, on = {fn = 0xcad65acf, arg = 0x0}, cxa = {
          fn = 0xcad65acf, arg = 0x0, dso_handle = 0x5ef7a0}}}, {flavor = 4, 
      func = {at = 0xcad65133, on = {fn = 0xcad65133, arg = 0x0}, cxa = {
          fn = 0xcad65133, arg = 0x0, dso_handle = 0x5ef7a0}}}, {flavor = 0, 
      func = {at = 0, on = {fn = 0, arg = 0x0}, cxa = {fn = 0, arg = 0x0, 
          dso_handle = 0x0}}}, {flavor = 0, func = {at = 0, on = {fn = 0, 
          arg = 0x0}, cxa = {fn = 0, arg = 0x0, dso_handle = 0x0}}}, {
      flavor = 0, func = {at = 0, on = {fn = 0, arg = 0x0}, cxa = {fn = 0, 
          arg = 0x0, dso_handle = 0x0}}}, {flavor = 0, func = {at = 0, on = {
          fn = 0, arg = 0x0}, cxa = {fn = 0, arg = 0x0, dso_handle = 0x0}}}, {
      flavor = 0, func = {at = 0, on = {fn = 0, arg = 0x0}, cxa = {fn = 0, 
          arg = 0x0, dso_handle = 0x0}}}, {flavor = 0, func = {at = 0, on = {
          fn = 0, arg = 0x0}, cxa = {fn = 0, arg = 0x0, dso_handle = 0x0}}}, {
      flavor = 0, func = {at = 0, on = {fn = 0, arg = 0x0}, cxa = {fn = 0, 
          arg = 0x0, dso_handle = 0x0}}}, {flavor = 0, func = {at = 0, on = {
          fn = 0, arg = 0x0}, cxa = {fn = 0, arg = 0x0, dso_handle = 0x0}}}, {
      flavor = 0, func = {at = 0, on = {fn = 0, arg = 0x0}, cxa = {fn = 0, 
          arg = 0x0, dso_handle = 0x0}}}}}


	    case ef_cxa:
	      cxafct = f->func.cxa.fn;

(gdb) p cxafct
$3 = (void (*)(void *, int)) 0x9c821572

#ifdef PTR_DEMANGLE
	      PTR_DEMANGLE (cxafct);
#endif

(gdb) p cxafct
$4 = (void (*)(void *, 
    int)) 0x59e590 <scim::QScimInputContext::~QScimInputContext$delete()+368>
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x008fc98e in *__GI_exit (status=0) at exit.c:75

	      cxafct (f->func.cxa.arg, status);


(gdb) p $pc
$5 = (void *) 0x8fc98e
Comment 12 Benjamin Kosnik 2006-05-25 16:32:54 EDT
Created attachment 130002 [details]
LD_DEBUG=bindings map
Comment 13 Jakub Jelinek 2006-05-26 09:03:42 EDT
Is the DSO that provides scim::QScimInputContext::~QScimInputContext$delete()
still mapped?  I.e. what does disas 0x59e590-32 0x59e590+32 above show?
Comment 14 Warren Togami 2006-05-26 10:24:25 EDT
I am not able to reproduce this problem at all.

Note that scim-qtimm is:
1) NOT ENABLED AT ALL IN FC5.
2) It is not linked to libstdc++so7.
3) Not even required for IM in KDE, because KDE can use the XIM interface.

It would be interesting to hear if this problem happens equally if scim-qtimm is
uninstalled?
Comment 15 Roland Wolters 2006-05-26 11:48:45 EDT
About scim-qtimm - I made a fast test and hat no crash without scim-qtimm, but 
there was also no message that there is a plugin loaded - with scim-qtimm I 
get "ScimInputContextPlugin()" in a shell where I start a KDE application.

About beeing enabled or not: I haven't changed anything about scim, I never 
used it (installed by default?), so I can't say anything about that.
Comment 16 Keunwoo Lee 2006-05-28 02:02:44 EDT
I get reproducible crashes when I install the scim-qtimm RPM.  The crashes go 
away when I do rpm --erase scim-qtimm, and the crashes come back 100% of the 
time when I reinstall scim-qtimm.  So the scim-qtimm package definitely plays 
some part in the crash.
Comment 17 Jens Petersen 2006-05-31 05:01:55 EDT
I think the recommended workaround for FC5 is to remove scim-qtimm.

There have also been sporadic reports of crashes with scim-qtimm in FC5
before the updates.
Comment 18 Jens Petersen 2006-05-31 05:05:47 EDT

*** This bug has been marked as a duplicate of 192788 ***
Comment 19 Jens Petersen 2006-06-06 04:53:26 EDT
Let me re-open this as the main bug for this issue.
Comment 20 Jens Petersen 2006-06-06 04:55:18 EDT
*** Bug 192788 has been marked as a duplicate of this bug. ***
Comment 21 Jens Petersen 2006-06-06 04:56:14 EDT
*** Bug 189209 has been marked as a duplicate of this bug. ***
Comment 22 Jens Petersen 2006-06-06 06:20:51 EDT
*** Bug 192893 has been marked as a duplicate of this bug. ***
Comment 23 Jong Bae KO 2006-06-15 02:13:20 EDT
------- Additional Comments From updates@fedora.redhat.com  2006-06-09 19:57 EST
-------
scim-1.4.4-9.3.fc5 has been pushed for fc5, which should resolve this issue.  If
these problems are still present in this version, then please make note of it in
this bug report.
Comment 24 Jong Bae KO 2006-06-15 02:25:08 EDT
*** Bug 195430 has been marked as a duplicate of this bug. ***
Comment 25 Jong Bae KO 2006-06-15 02:37:26 EDT
------- Additional Comments From petersen@redhat.com  2006-06-09 21:39 EST -------
*** Bug 194717 has been marked as a duplicate of this bug. ***
Comment 26 Jong Bae KO 2006-06-15 04:07:51 EDT
------- Additional Comments From updates@fedora.redhat.com  2006-06-12 11:49 EST
-------
scim-1.4.4-9.3.fc5 has been pushed for fc5, which should resolve this issue.  If
these problems are still present in this version, then please make note of it in
this bug report.
Comment 27 Scott Glaser 2006-06-15 05:15:05 EDT
Upon initial testing with scim-1.4.4-9.3.fc5 and amarok-1.4.0-5.fc5 the problem
appears to be resolved.
Comment 28 Nate Steffan 2006-06-21 11:52:48 EDT
I still am having ussues with scim-qtimm.

scim installed and versions
-----------------------
scim-anthy-1.0.0-1.fc5.1
scim-1.4.4-9.4.fc5
scim-chewing-0.2.1-5.2
scim-libs-1.4.4-9.4.fc5
scim-tables-chinese-0.5.6-3.1
scim-hangul-0.2.2-1.fc5.1
scim-tables-0.5.6-3.1
scim-qtimm-0.9.4-2.1.1
scim-pinyin-0.5.91-4.4

Upon removing qtimm plugin kde works correctly.
Comment 29 Jens Petersen 2006-06-22 04:28:28 EDT
The only current workaround for fc5 is to remove scim-qtimm.
This issue will be fixed correctly in fc6.
Comment 30 Jens Petersen 2006-06-26 23:34:37 EDT
scim-qtimm-0.9.4-2.2.fc5 should prevent the crashes.
Comment 31 Fedora Update System 2006-06-28 09:49:26 EDT
scim-qtimm-0.9.4-2.2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.